Class UmlActivityNode

Declaration :

- C++ : class UmlActivityNode : public UmlBaseActivityNode, public UmlActivityItem
- Java : abstract class UmlActivityNode extends UmlBaseActivityNode implements UmlActivityItem

Directly inherited by : UmlBaseActivityAction UmlBaseActivityControlNode UmlBaseActivityObject

Artifact : UmlActivityNode

Operation UmlActivityNode

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlActivityNode(in id : item_id, in s : string) :
- C++ : protected: UmlActivityNode(void * id, const QCString & s) : UmlBaseActivityNode(id, s)
- Java : protected UmlActivityNode(long id, String s)

All public operations : apply , applyStereotype , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload